JythonTopLevelDataSetHandlerV2.ProgrammableDropboxObjectFactory (server-original-data-store 7.0.0-rc.3+1777024182 API)
Description: declaration: package: ch.systemsx.cisd.etlserver.registrator.api.v2, class: JythonTopLevelDataSetHandlerV2, class: ProgrammableDropboxObjectFactory

Package ch.systemsx.cisd.etlserver.registrator.api.v2

# Class JythonTopLevelDataSetHandlerV2.ProgrammableDropboxObjectFactory<T extends ch.systemsx.cisd.openbis.dss.generic.shared.dto.DataSetInformation>

java.lang.Object
ch.systemsx.cisd.etlserver.registrator.v2.AbstractDataSetRegistrationDetailsFactory<T>
ch.systemsx.cisd.etlserver.registrator.api.v2.JythonTopLevelDataSetHandlerV2.ProgrammableDropboxObjectFactory<T>

All Implemented Interfaces:
  `ch.systemsx.cisd.etlserver.registrator.v2.IDataSetRegistrationDetailsFactory<T>`

Enclosing class:
  `JythonTopLevelDataSetHandlerV2<T extends ch.systemsx.cisd.openbis.dss.generic.shared.dto.DataSetInformation>`

public abstract static class JythonTopLevelDataSetHandlerV2.ProgrammableDropboxObjectFactory<T extends ch.systemsx.cisd.openbis.dss.generic.shared.dto.DataSetInformation> extends ch.systemsx.cisd.etlserver.registrator.v2.AbstractDataSetRegistrationDetailsFactory<T>

- ## Field Summary

  ### Fields inherited from class ch.systemsx.cisd.etlserver.registrator.v2.AbstractDataSetRegistrationDetailsFactory

  `registratorState, userProvidedDataSetInformationOrNull`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProgrammableDropboxObjectFactory(ch.systemsx.cisd.etlserver.registrator.v2.AbstractOmniscientTopLevelDataSetRegistrator.OmniscientTopLevelDataSetRegistratorState registratorState, ch.systemsx.cisd.openbis.dss.generic.shared.dto.DataSetInformation userProvidedDataSetInformationOrNull)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ch.systemsx.cisd.etlserver.registrator.DataSetRegistrationDetails<T>`
  `createRegistrationDetails()`
  Factory method that creates a new registration details object.
  `Class<?>`
  `getClass(String className)`
  Returns the Java class for the given class name.

  ### Methods inherited from class ch.systemsx.cisd.etlserver.registrator.v2.AbstractDataSetRegistrationDetailsFactory

  `applyUserProvidedValues, createDataSet, createDataSetInformation, createDataSetRegistrationDetails, getUserIdOrNull, setDatabaseInstance, setDataSetKindToDefaultValue, setDataSetTypeToDefaultValue`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProgrammableDropboxObjectFactory

    public ProgrammableDropboxObjectFactory(ch.systemsx.cisd.etlserver.registrator.v2.AbstractOmniscientTopLevelDataSetRegistrator.OmniscientTopLevelDataSetRegistratorState registratorState, ch.systemsx.cisd.openbis.dss.generic.shared.dto.DataSetInformation userProvidedDataSetInformationOrNull)

- ## Method Details

  - ### createRegistrationDetails

    public ch.systemsx.cisd.etlserver.registrator.DataSetRegistrationDetails<T> createRegistrationDetails()
    Factory method that creates a new registration details object.

  - ### getClass

    public Class<?> getClass(String className)
    Returns the Java class for the given class name.